Determines if the fiber is running

- « Fiber::isSuspended

- Fiber::isTerminated »

- PHP Manual
- Fiber
- Determines if the fiber is running

# Fiber::isRunning

(PHP 8 >= 8.1.0)

Fiber::isRunning — Determines if the fiber is running

### Description

public Fiber::isRunning(): bool

### Parameters

This function has no parameters.

### Return Values

Returns `true` only if the fiber is running. A fiber is considered running after a call to Fiber::start(), Fiber::resume(), or Fiber::throw() that has not yet returned. Return `false` if the fiber is not running.